%define minor_ver 8

Name:           x2goclient-gtk
Version:        3.01
Release:        %{minor_ver}.1%{?dist}
Summary:        Client for use with the X2Go network based computing environment

Group:          Applications/Internet
License:        GPLv2+
URL:            http://www.x2go.org
Source0:        http://x2go.obviously-nice.de/deb/pool-lenny/x2goclient-gtk/%{name}_%{version}-%{minor_ver}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libtool, xorg-x11-server-devel, gtk2-devel, gtkmm24-devel
BuildRequires:  gconfmm26-devel, libglademm24-devel, intltool, openldap-devel
BuildRequires:  libstdc++-devel, cups-devel, qt-devel, SDL-devel
Requires(pre):  /sbin/ldconfig
Requires:       pinentry

%description
This client will be able to connect to X2Go server(s) and start, stop, resume 
and terminate (running) desktop sessions. X2Go Client stores different server 
connections and may automatically request authentication data from LDAP 
directories. 

%prep
%setup -q
# fix compiling error (only on fedora)
sed -i 's:sigc++:parallel:' src/main_window.cc

%build
sh autogen.sh
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
%find_lang x2goclient_gtk

%clean
%{__rm} -rf %{buildroot}

%files -f x2goclient_gtk.lang
%defattr(-,root,root,-)
%dir %{_datadir}/x2goclient_gtk
%dir %{_datadir}/x2goclient_gtk/glade
%dir %{_datadir}/x2goclient_gtk/png
%dir %{_datadir}/x2goclient_gtk/png/icons
%dir %{_datadir}/x2goclient_gtk/png/icons/128x128
%dir %{_datadir}/x2goclient_gtk/png/icons/16x16
%dir %{_datadir}/x2goclient_gtk/png/icons/32x32
%dir %{_datadir}/x2goclient_gtk/png/icons/64x64
%dir %{_datadir}/x2goclient_gtk/txt
%{_bindir}/x2goclient_gtk
%{_datadir}/x2goclient_gtk/glade/*
%{_datadir}/x2goclient_gtk/png/*
%{_datadir}/x2goclient_gtk/txt/*

%changelog
* Thu Apr 01 2010 L.S. Keijser <keijser@stone-it.com> - 3.01-8.1
- initial release
